Uptimeify Docs
MonitorsImap pop monitors

Get IMAP/POP Monitor

Returns details of a specific IMAP/POP monitor.

GET /api/imap-pop-monitors/:imapPopMonitorPublicId

Authentication

Requires a valid session.

  • Header: Authorization: Bearer <token>

Parameters

  • imapPopMonitorPublicId (Path, required): IMAP/POP monitor public UUID.

Response

{
  "id": 500,
  "organizationId": 1,
  "customerId": 10,
  "name": "Mailbox Access",
  "hostname": "mail.example.com",
  "port": 993,
  "checkInterval": 30,
  "timeoutSeconds": 30,
  "config": {
    "protocol": "imap",
    "user": "monitor@example.com",
    "password": "password",
    "tls": true
  },
  "allowedCheckCountryCodes": null,
  "status": "active",
  "notificationPhoneNumber": null,
  "notificationEmail": null,
  "lastCheckedAt": null,
  "createdAt": "2026-02-26T12:00:00.000Z",
  "updatedAt": "2026-02-26T12:00:00.000Z",
  "customer": {
    "id": 10,
    "organizationId": 1,
    "name": "Example Customer",
    "email": "ops@example.com",
    "allowedCheckCountryCodes": null,
    "customFields": null,
    "alertLocationThresholdCount": 1,
    "createdAt": "2026-02-01T12:00:00.000Z",
    "updatedAt": "2026-02-01T12:00:00.000Z"
  },
  "imapPopConfig": {
    "protocol": "imap",
    "user": "monitor@example.com",
    "password": "password",
    "tls": true
  }
}

Errors

  • 400 IMAP/POP monitor public ID (UUID) required
  • 401 Unauthorized
  • 403 Forbidden
  • 404 IMAP/POP monitor not found

On this page